<?php

namespace Slovocast\Infrastructure\Application;

use Psr\Container\ContainerInterface;
use Psr\Log\LoggerInterface;
use Monolog\Handler\StreamHandler;
use Monolog\Level;
use Monolog\Logger;
use Slovocast\Infrastructure\Application\DefinitionInterface;

class LoggerDefinition implements DefinitionInterface 
{
    public function define(): array
    {
        return [
            LoggerInterface::class => function (ContainerInterface $c) {
                $logger = new Logger("default");
                $logger->pushHandler(new StreamHandler('php://stdout', Level::Info));
                return $logger;
            }
        ];
    }
}
